## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%bcond_without tests

%global _description %{expand:
smart_open is a Python 3 library for efficient streaming of very large files
from/to storages such as S3, GCS, Azure Blob Storage, HDFS, WebHDFS, HTTP,
HTTPS, SFTP, or local filesystem. It supports transparent, on-the-fly
(de-)compression for a variety of different formats.

smart_open is a drop-in replacement for Pythons built-in open(): it can do
anything open can (100% compatible, falls back to native open wherever
possible), plus lots of nifty extra stuff on top.}

%global forgeurl https://github.com/RaRe-Technologies/smart_open


Name:           python-smart_open
Version:        6.4.0
Release:        %autorelease
Summary:        Utils for streaming large files (S3, HDFS, gzip, bz2, and more)

%forgemeta

License:        MIT
URL:            %forgeurl
Source0:        %forgesource

BuildArch:      noarch

%description %_description

%package -n python3-smart_open
Summary:        %{summary}
BuildRequires:  python3-devel
BuildRequires:  %{py3_dist setuptools}

Requires:       %{py3_dist boto}
Requires:       %{py3_dist boto3}
Requires:       %{py3_dist requests}
Suggests:       %{py3_dist mock}
Suggests:       %{py3_dist google-compute-engine}

%if %{with tests}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist numpy}
%endif

%py_provides python3-smart_open

%description -n python3-smart_open %_description

%prep
%autosetup -n smart_open-%{version}

find . -type f -name "*.py" -exec sed -i '/^#![  ]*\/usr\/bin\/env.*$/ d' {} 2>/dev/null ';'

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files smart_open

%check
%if %{with tests}
# Other tests require internet or aws/gcp/azure access keys
%pytest integration-tests/test_207.py
%endif

%files -n python3-smart_open -f %{pyproject_files}
%doc README.rst

%changelog
* Wed Jan 03 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.4.0-1
- feat: update to 6.4.0 (fixes rh#2237811)

* Wed Jan 03 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.3.0-7
- chore: use forgemeta

* Wed Jan 03 2024 Ankur Sinha (Ankur Sinha Gmail) <sanjay.ankur@gmail.com> - 6.3.0-6
- chore: add packit

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 6.3.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 6.3.0-4
- Rebuilt for Python 3.12

* Wed Apr 26 2023 Sandro <devel@penguinpee.nl> - 6.3.0-1
- Update to 6.3.0

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 5.2.1-3
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 5.2.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 09 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.2.1-1
- Update to v5.2.1

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 5.1.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Sat Jul 03 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.1.0-1
- Update to v5.1.0

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 5.0.0-2
- Rebuilt for Python 3.10

* Mon May 17 2021 Aniket Pradhan <major AT fedoraproject DOT org> - 5.0.0-1
- Initial build

